Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 5083)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 5134)
@@ -1870,31 +2039,67 @@
 	////////// OTHER OPTIONS ////////////////////
 	var tr_other_options = document.createElement("TR");
+		var tr_other_mark_options = document.createElement("TR");
+		var tr_other_more_options = document.createElement("TR");
+		
+		tr_other_mark_options.id = 'tr_other_mark_options_' + ID;
+		tr_other_mark_options.style.display = 'none';
+		tr_other_mark_options.style.backgroundColor = '#205C8E';
 	tr_other_options.id = 'tr_other_options_' + ID;
 	tr_other_options.style.display = 'none';
+		tr_other_options.style.backgroundColor = '#205C8E';
+		tr_other_more_options.id = 'tr_other_more_options_' + ID;
+		tr_other_more_options.style.display = 'none';
+		tr_other_more_options.style.backgroundColor = '#205C8E';		
 
 	var td_other_options = document.createElement("TD");
+		var td_other_mark_options = document.createElement("TD");
+		var td_other_more_options = document.createElement("TD");
+		
 	td_other_options.colSpan = '3';
+		td_other_mark_options.colSpan = '3';
+		td_other_more_options.colSpan = '3';
+
 	var div_other_options = document.createElement("DIV");
-
-	var option_mark_as_unseen = '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'unseen\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Unseen")+'.\');">'+get_lang("Unseen")+'</span>, ';
-	var option_mark_as_important			= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'flagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+'.\');">'+get_lang("Important")+'</span>, ';
-	var option_mark_as_normal				= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'unflagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Normal")+'.\');">'+get_lang("Normal")+'</span> | ';
-
-	var option_move	= '<span class="message_options" onclick=wfolders.makeWindow("'+ID+'","move_to");>'+get_lang("Move")+'</span> | ';
-	var option_reply_to_all = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=new_message("reply_to_all_with_history","'+ID+'");>'+get_lang("Reply to all")+'</span> | ';
+		var div_other_mark_options = document.createElement("DIV");
+		var div_other_more_options = document.createElement("DIV");
+
+		//var option_mark_as_unseen = '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'unseen\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Unseen")+'.\');">'+get_lang("Unseen")+'</span>, ';
+		//var option_mark_as_important			= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'flagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+'.\');">'+get_lang("Important")+'</span>, ';
+		//var option_mark_as_normal				= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'unflagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Normal")+'.\');">'+get_lang("Normal")+'</span> | ';
+		var block_user = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick ="filter.new_rule(\''+info_msg.from.email+'\');">'+get_lang("Block Sender")+'</span> | ';	
+		//var option_forward = '<span onclick="new_message(\'forward\',\''+ ID+'\');" onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options">'+get_lang("Forward")+'</span> | ';
+		var option_move	= '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=wfolders.makeWindow("'+ID+'","move_to");>'+get_lang("Move")+'</span> | ';
+		var option_print = '<span onclick="print_all()" onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options">'+get_lang("Print")+'</span> | ';
+		var option_export = '<span onclick="proxy_mensagens.export_all_messages()" onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options">'+get_lang("Export")+'</span> | ';
+
+		option_reply_to_all__title = (preferences.use_shortcuts == '1') ? get_lang('Shortcut: %1', 'T') : '';
+		var option_reply_to_all = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick="new_message(\'reply_to_all_with_history\',\''+ID+'\');" title="'+option_reply_to_all__title+'">'+get_lang("Reply to all")+'</span> | ';
 	var option_reply_without_history = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=new_message("reply_without_history","'+ID+'");>'+get_lang("Reply without history")+'</span> | ';
-	var option_reply_to_all_without_history	= '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=new_message("reply_to_all_without_history","'+ID+'");>'+get_lang("Reply to all without history")+'</span>';
-
-	div_other_options.innerHTML = option_reply_to_all + option_reply_without_history + option_reply_to_all_without_history;
+		var option_reply_to_all_without_history	= '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=new_message("reply_to_all_without_history","'+ID+'");>'+get_lang("Reply to all without history")+'</span>  | ';
+
+		var report_error        = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=reports_window("'+currentTab+'");>'+get_lang("Report error")+'</span> | '; 
+
+		div_other_more_options.innerHTML += option_move + option_print + option_export + block_user + report_error;
+		
+		div_other_options.innerHTML += option_reply_without_history + option_reply_to_all_without_history + option_reply_to_all;
 	if (use_spam_filter) {
-		if(info_msg.msg_folder == 'INBOX'+cyrus_delimiter+'Spam')
-			div_other_options.innerHTML += ' | <span class="message_options" onclick="nospam('+info_msg.msg_number+',\'null\', \''+info_msg.msg_folder+'\')";>'+get_lang("Not Spam")+'</span>';
-		else
-			div_other_options.innerHTML += ' | <span class="message_options" onclick="spam(\''+info_msg.msg_folder+'\', '+info_msg.msg_number+',\'null\')";>'+get_lang("Mark as Spam")+'</span>';
-	}
+			if(info_msg.msg_folder == 'INBOX'+cyrus_delimiter+'Spam' || (info_msg.msg_folder.match(/^user/) && info_msg.msg_folder.match(/Spam$/))){
+				div_other_mark_options.innerHTML += '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick="nospam('+info_msg.msg_number+',\'null\', \''+info_msg.msg_folder+'\');">'+get_lang("Not Spam")+'</span> | ';
+	}
+			else{
+				div_other_mark_options.innerHTML += '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick="spam(\''+info_msg.msg_folder+'\', '+info_msg.msg_number+',\'null\');">'+get_lang("Is Spam")+'</span> | ';
+			}
+		}
+		var space5 = document.createElement("SPAN");
+		space5.innerHTML = '&nbsp;|&nbsp;';
 	
-	var report_error        = ' | <span onmouseover="this.className=\'message_options_active\'" onmouseout="this.className=\'message_options\'" class="message_options" onclick=reports_window("'+currentTab+'");>'+get_lang("Report error")+'</span> |'; 
- 		         
- 	div_other_options.innerHTML += report_error;
+		div_other_mark_options.appendChild(option_mark_as_unseen);
+		var space4 = document.createElement("SPAN");
+		space4.innerHTML = '&nbsp;|&nbsp;';
+		div_other_mark_options.appendChild(space4);
+		div_other_mark_options.appendChild(option_mark_important); 
+		var space7 = document.createElement("SPAN");
+		space7.innerHTML = '&nbsp;|&nbsp;';
+		div_other_mark_options.appendChild(space7);
 	
 	td_other_options.align = 'right';
@@ -1902,7 +2107,21 @@
 	td_other_options.appendChild(div_other_options);
 
+		td_other_mark_options.align = 'right';
+		td_other_mark_options.style.paddingTop = '3px';
+		td_other_mark_options.appendChild(div_other_mark_options);
+		
+		td_other_more_options.align = 'right';
+		td_other_more_options.style.paddingTop = '3px';
+		td_other_more_options.appendChild(div_other_more_options);
+
 
 	tr_other_options.appendChild(td_other_options);
 	tbody_message_options.appendChild(tr_other_options);
+		
+		tr_other_more_options.appendChild(td_other_more_options);
+		tbody_message_options.appendChild(tr_other_more_options);
+		
+		tr_other_mark_options.appendChild(td_other_mark_options);
+		tbody_message_options.appendChild(tr_other_mark_options);
 	////////// END OTHER OPTIONS ////////////////
 
@@ -1939,15 +2158,8 @@
                          td_signature.innerHTML += '<span style=color:red><strong>'+get_lang(info_msg.signature[i].substring(0,info_msg.signature[i].indexOf("#@#")))+'</strong> '+info_msg.signature[i].substring(info_msg.signature[i].indexOf("#@#")+3)+'</span> <br /> ';
                         }
-                    else
-                        {
                             if(info_msg.signature[i].indexOf("###") > -1)
                                 {
                                     td_signature.innerHTML += '<span><strong>'+get_lang(info_msg.signature[i].substring(0,info_msg.signature[i].indexOf("###")))+'</strong> '+info_msg.signature[i].substring(info_msg.signature[i].indexOf("###")+3)+'</span> <br /> ';
                                 }
-                            else
-                                {
-                                    td_signature.innerHTML += '<span><strong>'+get_lang(info_msg.signature[i])+'</strong></span> <br /> ';
-                                }
-                        }
                 }
             var signature_status_pos = info_msg.signature[0].indexOf('Message untouched');
@@ -2051,5 +2263,10 @@
 	table_message_others_options.width = "100%";
 	table_message_others_options.style.display = 'none';
-	table_message_others_options.className = "table_message";
+	if(navigator.appName.indexOf('Internet Explorer')>0){
+		table_message_others_options.className = "table_message_options_ie";
+	}else{
+		table_message_others_options.className = "table_message_options";
+	}
+	
 	var tbody_message_others_options = document.createElement("TBODY");
 	var tr1 = document.createElement("TR");
@@ -2129,4 +2346,5 @@
 	tr2.className = "tr_message_header";
 	var td2 = document.createElement("TD");
+	td2.width = "7%";
 	td2.innerHTML = get_lang("To: ");
 	var to = document.createElement("TD");
@@ -2293,24 +2511,17 @@
 	if ( info_msg.attachments && info_msg.attachments.length > 0 )
 	{
-		var div_attach = document.createElement("DIV");
-		div_attach.setAttribute("class", "expressomail-attachments");
-		div_attach.setAttribute("className", "expressomail-attachments"); //for IE
-
-		var div_attach_lbl = document.createElement("span");
-		div_attach_lbl.setAttribute("class", "expressomail-attachments-label");
-		div_attach_lbl.setAttribute("className", "expressomail-attachments-label"); //for IE
-		div_attach_lbl.innerHTML = get_lang("Attachments: ");
+		//Código no padrão expresso 2.2
+	var tr6 = document.createElement("TR");
+		tr6.className = "tr_message_header";
+		var td6 = document.createElement("TD");
+		td6.innerHTML = get_lang("Attachments: ");
 		
-		var div_attach_list = document.createElement("UL");
-		div_attach_list.setAttribute("id", "attachments_" + ID);
-		div_attach_list.setAttribute("class", "expressomail-attachments-list");
-		div_attach_list.setAttribute("className", "expressomail-attachments-list"); //for IE
 		
+		var attachments = document.createElement("TD");
+		td6.valign = "top";
+		attachments.align = 'left';
+		if(info_msg.attachments.length >= 1){
 			if(info_msg.attachments.length > 1) {
-			var li_link_attachment = document.createElement("LI");
 				var link_attachment	 = document.createElement("A");
-			link_attachment.setAttribute("class", "expressomail-attachments-link");
-			link_attachment.setAttribute("className", "expressomail-attachments-link"); //for IE
-	
 				 if(proxy_mensagens.is_local_folder(current_folder))
 					link_attachment.setAttribute("href", "javascript:expresso_local_messages.download_all_local_attachments('"+info_msg.msg_folder+"','"+info_msg.msg_number+"')");
@@ -2318,28 +2529,23 @@
 					link_attachment.setAttribute("href", "javascript:download_all_attachments('"+info_msg.msg_folder+"','"+info_msg.msg_number+"')");
 				link_attachment.innerHTML = " "+info_msg.attachments.length+' '+get_lang('files')+' :: '+get_lang('Download all atachments');
-			li_link_attachment.appendChild(link_attachment);
-			div_attach_list.appendChild(li_link_attachment);
-			}
-		
+                    attachments.appendChild(link_attachment);
+			}
 			if(parseInt(preferences.remove_attachments_function))
 			{
-			var li_link_attachment = document.createElement("LI");
-			var link_attachment	= document.createElement("A");
-			link_attachment.setAttribute("class", "expressomail-attachments-link");
-			link_attachment.setAttribute("className", "expressomail-attachments-link"); //for IE
-			link_attachment.setAttribute("href", "javascript:remove_all_attachments('"+info_msg.msg_folder+"','"+info_msg.msg_number+"')");
-			link_attachment.innerHTML = get_lang('remove all attachments');
-
-			li_link_attachment.appendChild(link_attachment);
-			div_attach_list.appendChild(li_link_attachment);
-			}
-
+                    attachments.appendChild(document.createTextNode('  '));
+                    var del_attachments = document.createElement("A");
+                    del_attachments.setAttribute("href", "javascript:remove_all_attachments('"+info_msg.msg_folder+"','"+info_msg.msg_number+"')");
+                    del_attachments.innerHTML = get_lang('remove all attachments');
+                    attachments.appendChild(del_attachments);
+			}
+                attachments.appendChild(document.createElement('BR'));
+        }
+		attachments.id = "attachments_" + ID;
 		for (var i=0; i<info_msg.attachments.length; i++)
 		{
-			var li_link_attachment = document.createElement("LI");
-			var link_attachment = document.createElement("A");
+			var link_attachment = document.createElement("a");
 			link_attachment.setAttribute("href", proxy_mensagens.link_anexo(info_msg,i));
 			link_attachment.innerHTML = url_decode(info_msg.attachments[i].name) + " ("+borkb(info_msg.attachments[i].fsize)+")";
-			link_attachment.setAttribute("name", url_decode(info_msg.attachments[i].name));
+			//link_attachment.innerHTML += " ("+borkb(info_msg.attachments[i].fsize)+")";
 
 			//k trocar por match???
@@ -2357,28 +2563,36 @@
 			}
 
-			li_link_attachment.appendChild(link_attachment);
-			div_attach_list.appendChild(li_link_attachment);
-		}
-		div_attach.appendChild(div_attach_lbl);
-		div_attach.appendChild(div_attach_list);
+                        if((url_decode(info_msg.attachments[i].name).indexOf(".eml") != -1))
+			{
+				//Link para importar calendário
+				var link_open_msg = new Image();
+				link_open_msg.src = "templates/"+template+"/images/email.png";
+				//link_open_msg.setAttribute("onclick","javascript:import_calendar('"+info_msg.msg_folder+"&msg_number="+info_msg.msg_number+"&msg_part="+info_msg.attachments[i].pid+"&idx_file="+i+"&encoding="+info_msg.attachments[i].encoding+"'); return false;");
+				link_open_msg.setAttribute("onclick","javascript:open_msg_part('"+info_msg.msg_folder+"&msg_number="+info_msg.msg_number+"&msg_part="+info_msg.attachments[i].pid+"'); return false;");
+				link_open_msg.title = get_lang("Open message");
+				link_open_msg.align = "top";
+				link_open_msg.style.marginLeft = "5px";
+				link_open_msg.style.cursor = "pointer";
+				link_attachment.appendChild(link_open_msg);
+		}
 		
-		var tr6 = document.createElement("TR");
-		tr6.className = "tr_message_header";
-		var td6 = document.createElement("TD");
-		td6.setAttribute("colspan", "2");
-		td6.vAlign = "top";
-		td6.appendChild(div_attach);
+            link_attachment.innerHTML += '<br/>';
+            attachments.appendChild(link_attachment);
+            }
 		tr6.appendChild(td6);
+            tr6.appendChild(attachments);
 		tbody_message_others_options.appendChild(tr6);
 	}
+
 	//k!!
 	var div = document.createElement("DIV");
 	div.id = "div_message_scroll_"+ID;
-	div.setAttribute('class', 'div_message_scroll');
-	div.setAttribute('className', 'div_message_scroll'); //for IE
+        div.style.background = 'WHITE';
+        div.style.overflow = "auto";
 	table_message_others_options.appendChild(tbody_message_others_options);
 	var tr = document.createElement("TR");
+		tr.className = "tr_message_header";
 	var td = document.createElement("TD");
-	td.colSpan = '2';
+		td.colspan = '2';
 	td.style.fontSize = '10pt'; 
  	td.style.fontFamily = 'Arial,Verdana'; 
@@ -2401,5 +2615,5 @@
 				for (var i = 0; i < domains.length; i++)
 				{
-					if (imgTag[j].match(/cid:([\w\d]){5,}/) || imgTag[j].match(/src=\"\.\/inc\/show_embedded_attach\.php/g))
+					if (imgTag[j].match(/cid:([\w\d]){5,}/) || imgTag[j].match(/src=\"\.\/inc\/get_archive\.php/g)) 
 					{
 						forbidden = false;
@@ -2412,5 +2626,5 @@
 				if (forbidden)
 				{
-					newBody = newBody.replace(imgTag[j],"<img src='templates/"+template+"/images/forbidden.jpg'>");
+					newBody = newBody.replace(imgTag[j],"<img src='templates/"+template+"/images/forbidden.png'>");
 					blocked=true;
 				}
@@ -2441,11 +2655,11 @@
 	newBody = newBody.replace("<body","<span");
 	newBody = newBody.replace("<BODY","<span");
-	//while ( ( /<span[^>]*><span[^>]*>/ig ).test( newBody ) )
-        //       newBody = newBody.replace( /(<span[^>]*>)<span[^>]*>/ig, '$1' );
+	while ( ( /<span[^>]*><span[^>]*>/ig ).test( newBody ) )
+		newBody = newBody.replace( /(<span[^>]*>)<span[^>]*>/ig, '$1' );
 
 	var _body = document.createElement( 'div' );
 	_body.id = 'body_' + ID;
 	_body.innerHTML = newBody;
-	_body.style.fontSize = '16px';
+	//_body.style.fontSize = '16px';
 
 	var _elements = _body.getElementsByTagName( '*' );
@@ -2487,5 +2701,7 @@
 	
 	if ((info_msg.thumbs)&&(info_msg.thumbs.length > 0)){
-		var div_thumbs = document.createElement("DIV");
+		var thumbs = jQuery.parseJSON(info_msg.thumbs);
+		var div_thumbs = document.createElement("div");
+		
 		div_thumbs.setAttribute("class", "expressomail-thumbs");
 		div_thumbs.setAttribute("className", "expressomail-thumbs"); //for IE
@@ -2526,13 +2742,43 @@
 		ul_thumbs_list.setAttribute("className", "expressomail-thumbs-list"); //for IE
 
-		for (var i=0; i<info_msg.thumbs.length; i++){
-			var li = document.createElement("LI");
-			li.innerHTML += info_msg.thumbs[i];
-			ul_thumbs_list.appendChild(li);
-		}
+	                var msg = info_msg.msg_number; 
+	                var fdr = info_msg.msg_folder; 
+					var i = 0;
+				//verifica se está no novo padrão de montagem das mensagens ou no antigo, necessário
+				//para exibir as imagens no arquivamento local arquivamento local.
+				if(thumbs){
+	                jQuery.each(thumbs, function(i, thumb) {
+							if(fdr.indexOf("local_") >= 0){
+								var href = info_msg.array_attach[i].url + '&image=true'; 
+								var src  = info_msg.array_attach[i].url+ '&image=thumbnail'; 
+								i++;
+							}else{
+								var href = './inc/get_archive.php?msgFolder=' + fdr + '&msgNumber=' + msg + '&indexPart=' + thumb.pid + '&image=true'; 
+								//var href = thumb.url; 
+								var src  = 'inc/get_archive.php?msgFolder=' + fdr + '&msgNumber=' + msg + '&indexPart=' + thumb.pid + '&image=thumbnail'; 
+	                        }
+	                        var msgid= fdr+";;"+msg+";;"+i+";;"+thumb.pid+";;"+thumb.encoding; 
+	                        var image_info = '{"folder":"'+fdr+'","message":"'+msg+'","thumbIndex":"'+i+'","pid":"'+thumb.pid+'","encoding":"'+thumb.encoding+'","type":"'+thumb.type+'"}'; 
+	                         
+	                        var image= '<img id="' + msgid + '" title="' +  
+	                                                        get_lang('Click here do view (+)') + '" src="' + src + '" style="width:auto;height:100%;" />'; 
+	                                                 
+	                        var content = '<a title="'+thumb.name+ '" rel="thumbs'+ID+'" class="expressomail-thumbs-link" onMouseDown="save_image(event,this,\'' +thumb.type+'\')" href="'+href+'" onclick="window.open(\''+href+'\',\'mywindow\',\'width=700,height=600,scrollbars=yes\');return false;">'+image+'</a>'; 
+	                        content += '<input id="thumb_'+ID+'_'+i+'" type="hidden" value="' +escape(image_info) +'" />'; 
+	                        jQuery(ul_thumbs_list).append('<li>'+content+'</li>'); 
+	                         
+	                });    
 		
 		div_thumbs.appendChild(div_thumbs_lbl);
 		div_thumbs.appendChild(div_thumbs_lbl_sp2);
 		div_thumbs.appendChild(ul_thumbs_list);
+		
+				}else{
+					div_thumbs.appendChild(div_thumbs_lbl);
+					div_thumbs.appendChild(div_thumbs_lbl_sp2);
+					div_thumbs.innerHTML = div_thumbs.innerHTML + info_msg.thumbs;
+					
+					
+				}
 		
 		div.appendChild(div_thumbs);
@@ -2560,5 +2806,4 @@
 	}
 
-	//k!
 	/*
 	 * TODO: implementar o controle como preferência do usuário
@@ -2566,24 +2811,44 @@
 	 */
 	var jcarousel = false;
-	
 	if (jcarousel) {
+		//carousel 
 		jQuery(document).ready(function() {
-			jQuery('.expressomail-thumbs-list').attr('id', 'expressomail-thumbs-list'+ID);
-			jQuery('.expressomail-thumbs-list').addClass('jcarousel-skin-default');
-			jQuery('#expressomail-thumbs-list'+ID).jcarousel({
-				// Configuration
-			});
-		});
+	 		jQuery('.expressomail-thumbs-list').attr('id', 'expressomail-thumbs-list'+ID) 
+	 	    .addClass('jcarousel-skin-default').jcarousel(); 
+
+			jQuery('.expressomail-thumbs-link img').attr('style', ''); 
 		
 		//fancybox
-		jQuery(document).ready(function() {
 			jQuery(".expressomail-thumbs-list li a").attr('onclick', 'return true;');
 			jQuery(".expressomail-thumbs-list li a").fancybox({
 				'hideOnContentClick': true,
-				'type': 'image'
+					'type': 'image', 
+					'titlePosition': 'over',                                         
+					'titleFormat' : function(name, currentArray, currentIndex, currentOpts) {                        
+							var image_info = $('#thumb_'+ID+'_'+currentIndex).val(); 
+
+							return '<div id="fancybox-title" class="fancybox-title-over" style="width: 100%; display: block;">' + 
+										'<div id="fancybox-title-over">' + 
+											'<a title="Anterior" onclick="javascript:$.fancybox.prev();" style="float:left;">' + 
+													'<img src="./templates/'+template+'/images/left_arrow_white.png" width="30" height="30" />' + 
+											'</a>'+ 
+											'<a title="Baixar imagem" onclick="javascript:save_image2(\''+image_info+'\');" style="padding:0 5px;">' + 
+													'<img src="./templates/'+template+'/images/image_down.png" width="22" height="22" />' + 
+											'</a>'+ 
+											'<a title="Baixar todas de uma vez" onclick="javascript:download_all_attachments(\''+info_msg.msg_folder+"','"+info_msg.msg_number+'\')" style="padding:0 5px;">'+ 
+													'<img src="./templates/'+template+'/images/package_down.png" width="26" height="26" />' + 
+											'</a>'+ 
+											'<span style="margin-left:5px; margin-top:7px; position:absolute;">'+name+'</span>'+ 
+											'<a title="Próxima" onclick="javascript:$.fancybox.next();" style="float:right;">' + 
+												'<img src="./templates/'+template+'/images/right_arrow_white.png" width="30" height="30" />' + 
+											'</a>' + 
+										'</div>' + 
+									'</div>'; 
+					} 
 			});
 		});
-}
-	//k!!
+	}
+	
+    resizeWindow(); 
 }
  
@@ -2630,5 +2895,4 @@
 function draw_new_message(border_ID){
 	connector.loadScript("color_palette");
-	connector.loadScript("rich_text_editor");
 	connector.loadScript('wfolders');
 	if(typeof(RichTextEditor) == 'undefined' || typeof(ColorPalette) == 'undefined' || typeof(wfolders) == 'undefined')
@@ -2638,4 +2902,6 @@
 	if (ID == 0)
 		return 0;
+	else if(ID == 'maximo')
+		return 'maximo';
 	hold_session = true;
 
@@ -2675,6 +2941,6 @@
 
 	if ((preferences.save_in_folder == '-1') || (preferences.save_in_folder == '')){
-		//var option_send = '<span class="message_options" onclick=send_message("'+ID+'","null","null");>'+get_lang("Send")+'</span> | ';
-		var option_send   = '<input type="button" id="send_button_'+ID+'" class="em_button_like_span" tabindex="1" value="'+get_lang("Send and not file")+'" onclick=send_message("'+ID+'","null","null");>' + ' | ';
+		var option_send = '<span id="send_button_'+ID+'" class="message_options" onclick=send_message("'+ID+'","null","null");>'+get_lang("Send")+'</span> | ';
+		//var option_send   = '<input type="button" id="send_button_'+ID+'" class="em_button_like_span" tabindex="1" value="'+get_lang("Send and not file")+'" onclick=send_message("'+ID+'","null","null");>' + ' | ';
 		if(!expresso_offline)
 			var option_send_and_file= '<span class="message_options" onclick=wfolders.makeWindow("'+ID+'","send_and_file");>'+get_lang("Send and file")+'</span> | ';
@@ -2683,6 +2949,6 @@
 	}
 	else{
-		//var option_send = '<span class="message_options" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">'+get_lang("Send")+'</span> | ';
-		var option_send   = '<input type="button" id="send_button_'+ID+'" class="em_button_like_span" tabindex="1" value="'+get_lang("Send")+'" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">' + ' | ';
+		var option_send = '<span id="send_button_'+ID+'" class="message_options" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">'+get_lang("Send")+'</span> | ';
+		//var option_send   = '<input type="button" id="send_button_'+ID+'" class="em_button_like_span" tabindex="1" value="'+get_lang("Send")+'" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">' + ' | ';
 		var option_send_and_file='';
 		wfolders.alert = true;
@@ -2797,5 +3063,7 @@
         var img_search = document.createElement("IMG");
 	img_search.src = "./templates/"+template+"/images/search.gif";
-	img_search.onclick = function () {emQuickSearch(document.getElementById('replyto_'+ID).value, 'replyto', ID)}
+	img_search.onclick = function () {
+            emQuickSearch(document.getElementById('replyto_'+ID).value, 'replyto', ID)
+        }
 	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
         var span_search = document.createElement("SPAN");
@@ -2887,5 +3155,7 @@
 		img_search.src = "./templates/"+template+"/images/search.gif";
 		img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
-		img_search.onclick = function () {emQuickSearch(document.getElementById('to_'+ID).value, 'to', ID);};
+                img_search.onclick = function () {
+                    emQuickSearch(document.getElementById('to_'+ID).value, 'to', ID);
+                };
 	}
 	else {
@@ -2974,5 +3244,7 @@
 	var img_search = document.createElement("IMG");
 	img_search.src = "./templates/"+template+"/images/search.gif";
-	img_search.onclick = function () {emQuickSearch(document.getElementById('cc_'+ID).value, 'cc', ID)}
+	img_search.onclick = function () {            
+            emQuickSearch(document.getElementById('cc_'+ID).value, 'cc', ID)
+        }
 	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
 	var span_search = document.createElement("SPAN");
@@ -3062,5 +3334,7 @@
 	img_search.src = "./templates/"+template+"/images/search.gif";
 	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
-	img_search.onclick = function () {emQuickSearch(document.getElementById('cco_'+ID).value, 'cco', ID);};
+ 		            img_search.onclick = function () {
+                                emQuickSearch(document.getElementById('cco_'+ID).value, 'cco', ID);
+                            }; 
 	var span_search = document.createElement("SPAN");
 	span_search.innerHTML = get_lang('Search');
@@ -3090,17 +3364,12 @@
 	a_cc_link.setAttribute("href","javascript:void(0)");
 	a_cc_link.setAttribute("tabIndex","-1");
-	a_cc_link.onclick = function () {this.style.display='none';document.getElementById('tr_cc_'+ID).style.display='';document.getElementById('space_link_'+ID).style.display='none';input_cc.focus();return false;}
+	a_cc_link.onclick = function () {
+		this.style.display='none';
+		document.getElementById('tr_cc_'+ID).style.display='';
+		if(document.getElementById('space_link_'+ID) !== null)
+			document.getElementById('space_link_'+ID).style.display='none';
+		input_cc.focus();
+		return false;};
 	td2_link.appendChild(a_cc_link);
-	var space = document.createElement("span");
-	space.id ="space_link_"+ID;
-	space.innerHTML="&nbsp;|&nbsp;";
-	td2_link.appendChild(space);
-	var a_cco_link = document.createElement('A');
-	a_cco_link.innerHTML = get_lang('Add BCC');
-	a_cco_link.id = "a_cco_link_"+ID;
-	a_cco_link.setAttribute("href","javascript:void(0)");
-	a_cco_link.setAttribute("tabIndex","-1");
-	a_cco_link.onclick = function () {this.style.display='none';document.getElementById('tr_cco_'+ID).style.display='';document.getElementById('space_link_'+ID).style.display='none';input_cco.focus();return false;}
-	td2_link.appendChild(a_cco_link);
 	var space = document.createElement("span");
 	
@@ -3115,5 +3384,11 @@
  		            a_cco_link.setAttribute("href","javascript:void(0)"); 
  		            a_cco_link.setAttribute("tabIndex","-1"); 
- 		            a_cco_link.onclick = function () {this.style.display='none';document.getElementById('tr_cco_'+ID).style.display='';document.getElementById('space_link_'+ID).style.display='none';input_cco.focus(); return false;} 
+            a_cco_link.onclick = function () {
+		this.style.display='none';
+		document.getElementById('tr_cco_'+ID).style.display='';
+		if(document.getElementById('space_link_'+ID) !== null)
+			document.getElementById('space_link_'+ID).style.display='none';
+			input_cco.focus();
+			return false;}; 
  		            td2_link.appendChild(a_cco_link); 
  		        }
